%define oname	PlayOnLinux

Summary:	Play your Windows games on Linux
Name:		playonlinux
Version:	4.4
%define subrel	1
Release:	%mkrel 1
License:	GPLv3 and GPLv2+ and MIT
Group:		Games/Other
Url:		https://www.playonlinux.com
Source0:	https://github.com/PlayOnLinux/POL-POM-4/archive/%{version}/POL-POM-4-%{version}.tar.gz
# Upstream changes since last release
Patch0:		https://github.com/PlayOnLinux/POL-POM-4/compare/4.4...a8fe4bb.patch#/playonlinux-4.4-gita8fe4bb.patch
Patch1:		playonlinux-4.2.8-deb-set-debian-env.patch
Patch2:		playonlinux-4.3.3-hicolor.patch

BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-natsort
BuildRequires:	python3-wxpython4

Requires:	cabextract
Requires:	gettext
Requires:	glxinfo
Requires:	icoutils
Requires:	imagemagick
Requires:	jq
Requires:	netcat
Requires:	p7zip
Requires:	python3
Requires:	python3-natsort
Requires:	python3-wxpython4
Requires:	tar
Requires:	unzip
Requires:	wget
Requires:	xterm
Requires:	xz
%ifarch x86_64 aarch64
Requires:	wine64
%else
Requires:	wine-full
%endif
# for ar
Requires:	binutils
Requires:	gnupg2

%description
PlayOnLinux is a piece of software which allows you to install
and use easily numerous games and software designed to run
with Microsoft(R)'s Windows(R). Indeed, currently, still few
games are compatible with GNU/Linux, and it could be a factor
preventing from migrating to this system. PlayOnLinux brings an
accessible and efficient solution to this problem, cost-free
and respectful of the free software.

%prep
%autosetup -p1 -n POL-POM-4-%{version}

%build
%set_build_flags
%make_build \
  CFLAGS="%{optflags} %{ldflags}" \
  PYTHON="%{__python3} -m py_compile"

%install
%make_install

# Remove shebang from Python library
sed '1{/^#!\//d}' -i %{buildroot}%{_datadir}/%{name}/python/setupwindow/gui_server.py

# Remove misplaced files and directories
rm -rf %{buildroot}%{_datadir}/%{name}/{bin,tests,CHANGELOG.md,LICENCE,README.md,TRANSLATORS}
rm -f %{buildroot}%{_datadir}/%{name}/etc/PlayOnLinux.{appdata.xml,desktop}

# Byte compile importable Python modules outside of standard paths
%py_byte_compile %{__python3} %{buildroot}%{_datadir}/%{name}/python/

%find_lang pol

%files -f pol.lang
%doc CHANGELOG.md README.md TRANSLATORS
%license doc/copyright LICENCE
%{_bindir}/%{name}
%{_bindir}/%{name}-pkg
%{_datadir}/%{name}/
%{_datadir}/appdata/%{oname}.appdata.xml
%{_datadir}/applications/%{oname}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libexecdir}/%{name}-check_dd
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-pkg.1*


%changelog
* Wed Jan 05 2022 wally <wally> 4.4-1.1.mga8
+ Revision: 1767026
- rebuild for wxgtk 3.1.5 (mga#29848)
- replace deprecated %%setup_compile_flags
+ daviddavid <daviddavid>
- restore playonlinux also for mga8 (mga#28717)
- new version: 4.4, now ported to python3 (fixes mga#28717)
- correct license tag to include GPLv2+ and MIT
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Feb 05 2019 daviddavid <daviddavid> 4.3.4-2.mga7
+ Revision: 1363432
- fix dependencies

* Tue Jan 01 2019 daviddavid <daviddavid> 4.3.4-1.mga7
+ Revision: 1348011
- new version: 4.3.4

* Wed Dec 12 2018 akien <akien> 4.3.3-1.mga7
+ Revision: 1340487
- Version 4.3.3

* Sun Sep 23 2018 umeabot <umeabot> 4.2.12-2.mga7
+ Revision: 1300311
- Mageia 7 Mass Rebuild

* Sun Jun 25 2017 akien <akien> 4.2.12-1.mga6
+ Revision: 1108393
- Version 4.2.12

* Sat Jun 03 2017 akien <akien> 4.2.11-1.mga6
+ Revision: 1105887
- Version 4.2.11

* Mon Jan 25 2016 akien <akien> 4.2.10-1.mga6
+ Revision: 927601
- Version 4.2.10

* Mon Sep 21 2015 akien <akien> 4.2.9-2.mga6
+ Revision: 882105
- Fix wrong path in playonlinux-pkg wrapper script

* Mon Sep 21 2015 akien <akien> 4.2.9-1.mga6
+ Revision: 882095
- Version 4.2.9

* Tue Jun 23 2015 akien <akien> 4.2.8-1.mga6
+ Revision: 840490
- Version 4.2.8
- Use DEBIAN_PACKAGE upstream feature
  o Cleaner solution than previous patch to disable new versions alerts
  o Also disables automatic bug reports and sending of statistics
  o Makes use of system-wide locale dir
- Add manpages from Debian
- Install only the necessary files

* Sat Mar 07 2015 akien <akien> 4.2.6-1.mga5
+ Revision: 818069
- Disable notification for new upstream versions (mga#7535)
- Version 4.2.6
- Install icon to hicolor theme

* Sun Feb 22 2015 anaselli <anaselli> 4.2.5-2.mga5
+ Revision: 816419
- rebuilt for new libgphoto2

* Fri Nov 07 2014 akien <akien> 4.2.5-1.mga5
+ Revision: 796004
- Version 4.2.5

* Wed Oct 15 2014 umeabot <umeabot> 4.2.4-3.mga5
+ Revision: 747663
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2.4-2.mga5
+ Revision: 687648
- Mageia 5 Mass Rebuild

* Fri Jul 25 2014 akien <akien> 4.2.4-1.mga5
+ Revision: 656531
- Version 4.2.4

* Thu Jan 16 2014 akien <akien> 4.2.2-1.mga4
+ Revision: 566670
- New 4.2.2 version

* Sat Oct 19 2013 umeabot <umeabot> 4.2.1-3.mga4
+ Revision: 532077
- Mageia 4 Mass Rebuild

* Thu Aug 15 2013 stormi <stormi> 4.2.1-2.mga4
+ Revision: 466672
- requires p7zip

* Wed Jun 05 2013 dams <dams> 4.2.1-1.mga4
+ Revision: 437617
- new version 4.2.1

* Sat Apr 13 2013 stormi <stormi> 4.1.9-3.mga3
+ Revision: 409873
- require gnupg to fix bug #9632

* Wed Feb 06 2013 stormi <stormi> 4.1.9-2.mga3
+ Revision: 394804
- add missing netcat dependency

* Sat Jan 19 2013 stormi <stormi> 4.1.9-1.mga3
+ Revision: 389842
- version 4.1.9

* Sun Jan 13 2013 umeabot <umeabot> 4.1.8-2.mga3
+ Revision: 377806
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 tv <tv> 4.1.8-1.mga3
+ Revision: 302226
- new release
- require xz instead of lzma

* Sun Aug 19 2012 stormi <stormi> 4.1.6-1.mga3
+ Revision: 282291
- fix disable-GL-checks patch again
- add patch to fix desktop file
- rediff disable-GL-checks patch
- new version 4.1.6

* Sat Aug 04 2012 tv <tv> 4.1.3-4.mga3
+ Revision: 278478
- seems to be 64bit friendly now

* Wed Aug 01 2012 tv <tv> 4.1.3-3.mga3
+ Revision: 277680
- make it installable with wine64

* Sun Jul 29 2012 dmorgan <dmorgan> 4.1.3-2.mga3
+ Revision: 275814
- Add icoutils as Requires

* Sun Jul 22 2012 dmorgan <dmorgan> 4.1.3-1.mga3
+ Revision: 273571
- New version

* Tue Jun 26 2012 dams <dams> 4.1.2-1.mga3
+ Revision: 264003
- new version 4.1.2
- rediff patch
- clean specfile

* Tue Mar 06 2012 pterjan <pterjan> 4.0.15-2.mga2
+ Revision: 220557
- Drop the GL check binaries and use Debian patch to not call them

* Sun Mar 04 2012 stormi <stormi> 4.0.15-1.mga2
+ Revision: 218248
- new version 4.0.15

* Sun Jan 29 2012 stormi <stormi> 4.0.14-1.mga2
+ Revision: 202906
- new version 4.0.14

* Sat Jan 28 2012 tv <tv> 4.0.13-2.mga2
+ Revision: 202547
- rebuild for missing packages

* Sun Oct 23 2011 stormi <stormi> 4.0.13-1.mga2
+ Revision: 157541
- update to version 4.0.13

* Mon May 16 2011 ahmad <ahmad> 3.8.12-2.mga1
+ Revision: 99316
- playonlinux explicitly requires wine-full (i.e. i586 wine package), so it
  shouldn't exist in x86_64 repos; i.e. it should be exclusive arch %%ix86

* Fri Mar 11 2011 stormi <stormi> 3.8.12-1.mga1
+ Revision: 68233
- new version 3.8.12

* Fri Mar 11 2011 stormi <stormi> 3.8.8-2.mga1
+ Revision: 68228
- clean spec
- imported package playonlinux

